#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(mt7921_mac_sta_poll, 0x69d89424, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x1a49270a, "_gpl");
SYMBOL_CRC(mt7921_reset, 0xd4f52e8a, "_gpl");
SYMBOL_CRC(mt7921_rx_check, 0x7618aa47, "_gpl");
SYMBOL_CRC(mt7921_txwi_free, 0xa3c54dc7, "_gpl");
SYMBOL_CRC(mt7921_update_channel, 0x4b0662ba, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xb2b961a8, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x706bd923, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x3381be23, "_gpl");
SYMBOL_CRC(mt7921_mcu_drv_pmctrl, 0xc5335241, "_gpl");
SYMBOL_CRC(mt7921_mcu_fw_pmctrl, 0x836acdda, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x7e3112df, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x602dc653, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x6d904baf, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x7f906a45, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x056a2c54, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0xaf7ed982, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x9fec78bb, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x1ea8eb18, "_gpl");
SYMBOL_CRC(mt7921_stop, 0xbacc50ed, "_gpl");
SYMBOL_CRC(mt7921_get_mac80211_ops, 0x733b3532, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x17e244be, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xa9405861, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c8e26d9, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xabedee01, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x44036593, "ieee80211_sta_register_airtime" },
	{ 0x90b85339, "device_set_wakeup_enable" },
	{ 0x1449e2d6, "mt76_init_sar_power" },
	{ 0x29280901, "ieee80211_connection_loss" },
	{ 0xe7c78dfc, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5e284fdf, "simple_attr_open" },
	{ 0x64f85aa, "ieee80211_iterate_interfaces" },
	{ 0x13e1b2d5, "current_stack_frame" },
	{ 0xc7bfb42a, "debugfs_attr_write" },
	{ 0x3d1064f, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x403797f0, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xcec203cb, "skb_put" },
	{ 0x873a53ea, "__arch_hweight8" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1daf37e8, "consume_skb" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd25d480c, "mt76_tx_status_skb_get" },
	{ 0xd56d3b69, "trace_raw_output_prep" },
	{ 0xeb5eec09, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xaaee428e, "mt76_tx_status_lock" },
	{ 0x589dc5c7, "skb_dequeue" },
	{ 0xf11289dd, "__trace_trigger_soft_disabled" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x9cae9db2, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x8c7e9d46, "finish_wait" },
	{ 0xe02cb75d, "mt76_connac_mcu_set_channel_domain" },
	{ 0xc2648ebf, "mt76_connac_mcu_uni_add_dev" },
	{ 0x1b1ec4cb, "mt76_release_buffered_frames" },
	{ 0xff39e2f, "request_firmware" },
	{ 0x14e12a45, "trace_event_printf" },
	{ 0x5b0a5ac2, "mt76_get_txpower" },
	{ 0x1bf15cf2, "mt76_tx_status_skb_add" },
	{ 0x1481f0fd, "ieee80211_iterate_stations_atomic" },
	{ 0xce0616a9, "mt76_connac_pm_wake" },
	{ 0xa5aa1321, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x20d79bf3, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x7341f721, "mt76_wake_tx_queue" },
	{ 0xa391ba6a, "trace_event_raw_init" },
	{ 0xbd3315d5, "ieee80211_start_tx_ba_session" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2d2979b8, "mt76_connac_mcu_chip_config" },
	{ 0x2ab3c8, "mt76_get_antenna" },
	{ 0xea116fab, "mt76_has_tx_pending" },
	{ 0x4c19117b, "_raw_read_unlock_bh" },
	{ 0xe91885ac, "__mt76_tx_complete_skb" },
	{ 0xfad5473b, "_raw_read_lock_bh" },
	{ 0xc264300, "seq_lseek" },
	{ 0xc2804893, "mt76_set_stream_caps" },
	{ 0x8bec1a92, "bpf_trace_run2" },
	{ 0x32c44e38, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x41bf1e8b, "ieee80211_get_hdrlen_from_skb" },
	{ 0x1f314c08, "__wake_up" },
	{ 0x13c31332, "mt76_connac_mcu_update_arp_filter" },
	{ 0x4ba92401, "__dynamic_dev_dbg" },
	{ 0xa515607, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbe2f600b, "mt76_connac_pm_queue_skb" },
	{ 0xaee6b02a, "pskb_expand_head" },
	{ 0xeb52c025, "mt76_tx_status_check" },
	{ 0xb15238d1, "wake_up_process" },
	{ 0xe268388a, "mt76_connac_free_pending_tx_skbs" },
	{ 0x587c88b2, "skb_queue_purge_reason" },
	{ 0xecdb6f1d, "mt76_connac_power_save_sched" },
	{ 0x1d2e1f7a, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0xebc9214f, "__raw_spin_lock_init" },
	{ 0x1bcd0425, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbb95fb10, "__stack_chk_fail" },
	{ 0x3603994d, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd82ce223, "_raw_spin_unlock_bh" },
	{ 0x56705761, "mt76_tx" },
	{ 0x1e1716aa, "__napi_schedule" },
	{ 0x47ecfc19, "mt76_connac_mcu_set_mac_enable" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x1cd33eab, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xdc9a7616, "_dev_info" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x362cd49a, "skb_queue_tail" },
	{ 0x38e435b0, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x318e8b4f, "mt76_rx" },
	{ 0xaaeedcce, "mt76_connac_mcu_sched_scan_req" },
	{ 0xc3374c29, "mt76_connac_mcu_uni_add_bss" },
	{ 0x1bb551de, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7d1ea42c, "idr_remove" },
	{ 0xc7aeb3b1, "wiphy_to_ieee80211_hw" },
	{ 0xa158690a, "debugfs_attr_read" },
	{ 0x777ca0b, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1fc72976, "ieee80211_queue_delayed_work" },
	{ 0x8e582541, "devm_kmemdup" },
	{ 0xc9c56873, "perf_trace_buf_alloc" },
	{ 0x39ecaeac, "perf_trace_run_bpf_submit" },
	{ 0xf9a9df54, "_dev_err" },
	{ 0x79534c91, "skb_pull" },
	{ 0x8afe5167, "mt76_register_device" },
	{ 0x74b3858f, "mt76_connac2_load_ram" },
	{ 0x591f2e78, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x1c325461, "simple_attr_release" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfed724b, "ieee80211_remain_on_channel_expired" },
	{ 0x7c933b74, "mutex_lock" },
	{ 0xf30106d6, "skb_push" },
	{ 0x5fdb7634, "mt76_set_channel" },
	{ 0xffb28752, "trace_event_reg" },
	{ 0xbd6c05e7, "mutex_is_locked" },
	{ 0xa39b4cf2, "udelay" },
	{ 0x50af8870, "mt76_update_survey" },
	{ 0x473ec596, "ieee80211_wake_queues" },
	{ 0x10942950, "mt76_mcu_send_and_get_msg" },
	{ 0xf950698c, "ieee80211_beacon_get_template" },
	{ 0x8f68da79, "__cpu_online_mask" },
	{ 0xa8d87d94, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6228b595, "dev_coredumpv" },
	{ 0xd4f98503, "__mutex_init" },
	{ 0x40626db4, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x9243c937, "idr_destroy" },
	{ 0x7a0a771c, "mt76_connac_pm_dequeue_skbs" },
	{ 0xa800aed5, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xdcb764ad, "memset" },
	{ 0xec299d23, "mt76_token_release" },
	{ 0xd0d94d86, "__init_waitqueue_head" },
	{ 0x94764242, "__pskb_pull_tail" },
	{ 0xe22cd1d, "mt76_sta_state" },
	{ 0x74f67ac1, "ieee80211_ready_on_channel" },
	{ 0x440fd9e4, "ieee80211_stop_queues" },
	{ 0xe44f28e3, "mt76_ethtool_page_pool_stats" },
	{ 0x2df50b0, "jiffies" },
	{ 0x60b52709, "cfg80211_reg_can_beacon" },
	{ 0xa61a6be6, "seq_read" },
	{ 0xdbbe1fe9, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x2745d989, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x58411cae, "debugfs_create_file" },
	{ 0x356f408d, "trace_event_buffer_reserve" },
	{ 0x1eab0591, "ieee80211_sched_scan_results" },
	{ 0xb24b8c7b, "ieee80211_scan_completed" },
	{ 0x74946f53, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x595548a7, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcdaaed2e, "mt76_insert_ccmp_hdr" },
	{ 0x51d277b6, "mt76_txq_schedule_all" },
	{ 0xce4dd5ad, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5c2cd1a2, "param_ops_bool" },
	{ 0xe4a40c55, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x6b93a8a8, "mt76_connac2_load_patch" },
	{ 0x6d590bca, "mt76_rx_aggr_start" },
	{ 0xcf5a87c9, "____mt76_poll_msec" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9ab5d0db, "seq_printf" },
	{ 0xa3a64984, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdfff9b39, "_raw_spin_lock_bh" },
	{ 0xed4af5ae, "mt76_skb_adjust_pad" },
	{ 0x79b37d0e, "mt76_put_txwi" },
	{ 0x6319f254, "seq_puts" },
	{ 0x4df0a0f3, "mt76_connac_sta_state_dp" },
	{ 0x3f79b460, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x1765e458, "single_release" },
	{ 0x44d9afd9, "mt76_queues_read" },
	{ 0x7452da3f, "mt76_sta_pre_rcu_remove" },
	{ 0xba9ee3ce, "mt76_register_debugfs_fops" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xeba27435, "mt76_connac2_mac_write_txwi" },
	{ 0x302103d0, "__mt76_set_tx_blocked" },
	{ 0x5c5c7e09, "mt76_connac_mcu_sta_ba" },
	{ 0xc92c00ed, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xcaf87f38, "ieee80211_queue_work" },
	{ 0xaa094e21, "napi_schedule_prep" },
	{ 0x320f9bdc, "napi_consume_skb" },
	{ 0x98cf60b3, "strlen" },
	{ 0xe00dc4af, "__mt76_poll" },
	{ 0xcd0c2f82, "mt76_rx_aggr_stop" },
	{ 0x296affec, "single_open" },
	{ 0x2255c68f, "mt76_connac_mcu_add_key" },
	{ 0xfcaf49b0, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0x9514151a, "_mcount" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x380a96c4, "ieee80211_disconnect" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x71d2234a, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "52BB65B64EE3FACDAE88A32");

MODULE_INFO(suserelease, "SLE15-SP6");
